跳到主要内容

删除 Entity (V1)

Deprecated
说明

该接口已废弃。建议您使用对应的 V2 接口。

从 Collection 中删除一个或多个 Entity。

POST/v1/vector/delete
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}。
  • 您可以使用 查看集群详情来获取集群的 Endpoint.
shell
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

数据库名称。

collectionNamestring必填项

Collection 名称。

idoneOf必填项
(待补充)
string

Entity ID。

Entity ID 列表。

integer

Entity ID。

Entity ID 列表。

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "my_collection",
"id": "4321034832910"
}'
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"id": [
4321034832910,
4321034832911
]
}'
响应

返回空对象。

codeinteger

响应码。

dataobject

响应载荷,为空对象。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 200,
"data": {}
}